/*
    A simple Backup Client / Server
    Copyright (C) 2023  Mike Nolan

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
using System;
using System.Collections.Generic;

namespace Tesses.Backup.Models
{
    public class BackupFileEntry
    {
       
        public bool IsFile {get;set;}
        public List<BackupFileEntry> SubEntries {get;set;}=new List<BackupFileEntry>();

        public string Hash {get;set;}="";
        
        public DateTime Created {get;set;}=new DateTime(1970,1,1);

        public DateTime Modified {get;set;}=new DateTime(1970,1,1);

        public long Length {get;set;}=0;

        public string Name {get;set;}="";
    }
}